/*
 * For data from pipe
 *
 */

#define DATA 1
#define PARAMETER 2

/*
 * Public Procedures
 */
extern void ResetSimulator(/*  SIMULATION *parameters; */);
extern int ResumeSimulator();
extern void StopSimulator();
extern void SendToSim(/* int place, type; double value; */);
extern void MakeSimulator(/* SIMULATION *parameters;double starttime; */);
extern void SimFlush();
extern void SimDataEnq(/* double *pressures */);
extern void UpdateParamWindow();
extern int Stopped;
extern void PostErrorString(/* char *s */);
extern void PostErrorFile(/* char *s */);
#ifdef SVR4
extern void fpe_in_simulate(int); /* Error handler for floating-point errors. */
#else
extern int fpe_in_simulate(int); /* Error handler for floating-point errors. */
#endif
extern void AddDataWidget(); /* widget, modProc, dataProc */
/*
 * Widget widget;
 * void (*modProc)(); 
 * void (*dataProc)();
 */

extern void DeleteDataWidget(); /* widget */
/*
 * Widget widget;
 */

/*
 * Processes X events and also checks the data queue and updates data plots.
 * This is the main execution loop.
 */

extern void DispatchDataAndEvents();
